MAKESYMLINKS(1)

NAME
makesymlinks - A bulk symbolic link creator acting as a Unix filter

SYNOPSIS
makesymlinks [Options]

DESCRIPTION

    Create symbolic links from pairs of lines on stdin: the first line is the link name path, and the second line is the target path.

OPTIONS

-f  Overwrite any existing link names

-h  Print this usage message and exit

-i <path>
    Read lines from file <path>

-V  Print version and exit

-v  Print the created links

EXIT STATUS
The program exits 0 if it can create all the links, and 1 otherwise. Links are created as soon as a line pair is read. Failing to create a link does not halt the program. However execution stops immediately when an invalid link name or target path is detected.

AUTHORS

Copyright (C) 2025 step <https://github.com/step->

REPORTING BUGS
Please open a ticket at <https://github.com/step-/makesymlinks/issues>.

SEE ALSO

symlinks(8)